a {
    color: inherit;
    text-decoration: none;
}

.header {
    background-image: url('../asset/cover-kiss.jpg');
    background-position: center center;
    background-size: cover;
    width: 100%;
    height: 684px;

    position: relative;
}

.header .cover {
    background-color: var(--backgroundDark);
    opacity: 0.82;
    position: absolute;
    width: 100%;
    height: 684px;
}

.header .title {
    font-family: 'Zhi Mang Xing', cursive;
    font-size: 72pt;
    color: var(--textLight);
    font-weight: 700;
    text-align: center;
}


.header .subtitle {
    font-family: 'Zhi Mang Xing', cursive;
    font-size: 24pt;
    color: var(--textLight);
    text-align: center;
    margin-top: 32px;
}

.header .footer {
    font-family: 'Zhi Mang Xing', cursive;
    font-size: 36pt;
    color: var(--textDark);
    text-align: center;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 17px;
}

.header .logo {
    width: 250px;
    height: 207px;

    padding-top: 90px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 55px;
    display: block;
    transform: translateX(-10%);
}

.dresscode {
    background-color: var(--backgroundLight);
    padding-top: 1px;
    width: 100%;
    height: 522px;
}

.dresscode .title {
    font-family: 'Zhi Mang Xing', cursive;
    font-size: 60pt;
    color: var(--textLight);
    margin-top: 129px;
    text-align: center;
}

.dresscode .subtitle {
    font-size: 48pt;
    color: var(--textLight);
    margin-top: 21px;
    text-align: center;
}

.dresscode .picker-container {
    margin-top: 60px;
    display: flex;
    justify-content: center;
    gap: 25px;
}

.dresscode .picker-container .picker {
    width: 60px;
    height: 60px;
    border-radius: 50%;
}

.dresscode .picker-container .style-1 {
    background-color: #FFE5B0;
}

.dresscode .picker-container .style-2 {
    background-color: #FBAE0C;
}

.dresscode .picker-container .style-3 {
    background-color: #7D5744;
}

.dresscode .picker-container .style-4 {
    background-color: #79331A;
}

.dresscode .picker-container .style-5 {
    background-color: #A05037;
}

.dresscode .caption {
    margin-top: 10px;
    color: var(--textLight);
    text-align: center;
    font-size: 18pt;
}

.dresscode-detail-animation-group {
    max-height: 0;
    opacity: 0;
    transform: translateY(-20px);
    transition: opacity 0.3s, transform 0.3s;
    display: hidden;
}

.dresscode-detail-animation-group.active {
    max-height: 2000px;
    opacity: 1;
    transform: translateY(0);
    display: block;
}

.dresscode-detail {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 30px;
    padding-bottom: 30px;
}

.dresscode-detail .content img {
    max-width: 100%;
    height: 896px;
    display: block;
}

.dresscode-detail.male {
    background-color: var(--backgroundDark);
}

.dresscode-detail.female {
    background-color: var(--backgroundLight);
}

.location {
    background-image: url('../asset/location-background.jpg');
    background-position: center center;
    background-size: cover;
    width: 100%;
    height: 682px;

    position: relative;
}

.location .alpha-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--backgroundDark);
    opacity: 0.8;
    z-index: 1;
}

.location .content {
    position: relative;
    width: 100%;
    height: 682px;
    overflow: hidden;
    z-index: 2;
}

.location .title {
    font-family: 'Zhi Mang Xing', cursive;
    margin-top: 100px;
    font-size: 48pt;
    color: var(--textLight);
    text-align: center;
}

.location .address {
    margin-top: 16px;
    margin-left: 80px;
    margin-right: 80px;
    font-size: 24pt;
    color: var(--textLight);
    text-align: center;
}

.location .checkin {
    font-size: 24pt;
    margin-top: 62px;
    color: var(--textDark);
    text-align: center;
}
.location .checkout {
    font-size: 24pt;
    margin-top: 14px;
    color: var(--textDark);
    text-align: center;
}

.location .photo {
    margin-top: 74px;
    overflow: hidden;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.location .photo img {
    max-height: 100%;
    object-fit: cover;
}

.flow {
    width: 100%;
    height: 1254px;
    padding-top: 1px;
    background-color: var(--backgroundLight);
}

.flow .title {
    font-family: 'Zhi Mang Xing', cursive;
    color: var(--textLight);
    font-size: 48pt;
    margin-top: 81px;
    text-align: center;
}

.flow .diagram {
    margin-top: 80px;
    text-align: center;
    overflow-x: hidden;
}

.flow .section {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-bottom: 10px;
    overflow-x: hidden;
}

.flow .time {
    margin-top: 18px;
    font-size: 48pt;
    color: var(--textLight);
}

.flow .detail {
    margin-top: 18px;
    font-size: 36pt;
    color: var(--textLight);
}

.flow .icon {
    width: 80px;
    height: 80px;
}

.flow .line {
    width: 2px;
    height: 90px;
    background-color: var(--textLight);
    margin-top: 28px;
    margin-bottom: 12px;
    margin-left: auto;
    margin-right: auto;
}

.environment {
    position: relative;
    background-color: var(--backgroundDark);
    height: 2388px;
    padding-top: 1px;
    width: 100%;
}

.environment .content {
    position: relative;
    z-index: 2;
    max-width: 1200px;
    margin: auto;
}

.environment .map-image {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 1500px;
    z-index: 1;
    overflow: hidden;
}

.environment .map-image img {
    width: 100%;
    max-width: 1024px;
    height: auto;
    display: block;
    margin: auto;
}

.environment .title {
    font-family: 'Zhi Mang Xing', cursive;
    color: var(--textLight);
    margin-top: 65px;
    text-align: center;
    font-size: 60pt;
}

.environment .inner-spacing {
    height: 1143px
}

.environment .place-title {
    font-family: 'Zhi Mang Xing', cursive;
    color: var(--textLight);
    margin-top: 74px;
    margin-left: 80px;
    margin-right: 80px;
    font-size: 48pt;;
}
    /* margin-top: 1263px; */

.environment .place-description {
    font-family: 'Zhi Mang Xing', cursive;
    color: var(--textLight);
    margin-left: 80px;
    margin-right: 80px;
    margin-top: 24px;
    font-size: 24pt;;
}

.tips {
    background-color: var(--backgroundLight);
    height: 1000px;
    padding-top: 1px;
    width: 100%;
    box-sizing: border-box;
}

.tips .content {
    padding-top: 50px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width: 1400px;
    margin: auto;
}

.tips .item {
    width: 50%;
    padding: 0 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-sizing: border-box;
}

.tips .icon {
    display: block;
    margin-bottom: 24px;
}

.tips .icon img {
    width: 90px;
    height: 90px;
}

.tips .description {
    width: 100%;
    max-width: 380px;
    padding: 0 15px;
    text-align: center;
    color: var(--textLight);
    font-size: 24pt;
}

.download {
    background-color: var(--backgroundDark);
    height: 735px;
    padding-top: 1px;
    width: 100%;
}

.download .title {
    color: var(--textLight);
    margin-top: 82px;
    text-align: center;
    font-size: 48pt;
}

.download .subtitle {
    color: var(--textLight);
    margin-top: 6px;
    text-align: center;
    font-size: 48pt;
}

.download .video {
    margin-top: 50px;
    display: flex;
    justify-content: center;
}

.download .caption {
    margin-top: 8px;
    color: var(--textLight);
    text-align: center;
    font-size: 24pt;
}

/* Without viewport meta data, it won't trigger any media tag < 900.
   However, if we enable the viewport, the default zoom out logic fails.
   So many things needs to be re-defined in the media tag. */
/* @media (max-width: 400px) {
    .tips .item {
        width: 100%;
        padding: 40px 15px;
    }
    .tips {
        height: 1050px;
    }
}

@media (min-width: 400px) {
    .tips .item {
        width: 100%;
        padding: 40px 15px;
    }
    .tips {
        height: 1050px;
    }
}

@media (min-width: 820px) {
    .tips .item {
        width: 50%;
        padding: 40px 80px;
    }
    .tips {
        height: 600px;
    }
} */

@media (min-width: 900px) {
    .tips .item {
        width: 100%;
        padding: 40px 15px;
    }
    .tips {
        height: 1300px;
    }
    .environment {
        height: 2588px;
    }
    .environment .map-image {
        padding-top: 20px;
    }
    .environment .inner-spacing {
        height: 1243px;
    }
}

@media (min-width: 1024px) {
    .tips .item {
        width: 50%;
        padding: 40px 80px;
    }
    .tips {
        height: 750px;
    }
    .environment {
        height: 2688px;
    }
    .environment .inner-spacing {
        height: 1243px;
    }
    .environment .place-title {
        margin-left: 180px;
        margin-right: 180px;
    }

    .environment .place-description {
        margin-left: 180px;
        margin-right: 180px;
    }
}

@media (min-width: 1200px) {
    .environment {
        height: 2588px;
    }
}

@media (min-width: 1400px) {
    .tips .item {
        width: 25%;
        padding: 40px 80px;
    }
    .tips {
        height: 500px;
    }
}